Skip to content

Coupons API

Get a coupon code

GEThttps://email.growthdept.ai/api/coupon-codes/{id}

Rate limits

Burst: 350/s

Steady: 3500/m

Tier XL. See rate limits for how requests are counted.

Scopes

coupon-codes:read

Operation id

get_coupon_code The same operation as in Klaviyo's API. OpenAPI document

Path parameters

stringrequired

Query parameters

array of strings

Attributes of coupon-code resources to return.

Sparse fieldsets guide

Pick values to add them to the request:

array of strings

Attributes of coupon resources to return.

Sparse fieldsets guide

Pick values to add them to the request:

array of strings

Related resources to side-load.

Includes guide

Pick values to add them to the request:

Headers

stringrequireddefault 2026-10-15

API revision, YYYY-MM-DD. This server implements 2026-10-15.

Revisions guide

Responses

200Success

Response body

object

  • dataobjectrequired

    data: 5 fields
    • typestringrequired

      coupon-code
    • idstringrequired

    • attributesobjectrequired

      attributes: 3 fields
      • unique_codestringcan be null

      • expires_atstring (date-time)can be null

      • statusstringcan be null

        ASSIGNED_TO_PROFILEDELETINGPROCESSINGUNASSIGNEDUSEDVERSION_NOT_ACTIVE
    • relationshipsobject

      relationships: 2 fields
      • couponobject

        coupon: 2 fields
        • dataobject

          data: 2 fields
          • typestringrequired

            coupon
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

      • profileobject

        profile: 2 fields
        • dataobject

          data: 2 fields
          • typestringrequired

            profile
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

    • linksobjectrequired

      links: 1 field
      • selfstring (uri)required

  • includedarray of objects

    included: 4 fields
    • typestringrequired

      coupon
    • idstringrequired

    • attributesobjectrequired

      attributes: 4 fields
      • external_idstringrequired

      • descriptionstringcan be null

      • monitor_configurationobjectcan be null

      • assigner_configurationobjectcan be null

        assigner_configuration: 2 fields
        • usedstringrequired

          ALWAYS_ASSIGNASSIGN_IF_EXPIREDNEVER_ASSIGN
        • unused_expiredstringrequired

          ALWAYS_ASSIGNNEVER_ASSIGN
    • linksobjectrequired

      links: 1 field
      • selfstring (uri)required

  • linksobject

    links: 1 field
    • selfstring (uri)required

  • metaobject

4XXClient error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject

See status codes for each code.

5XXServer error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject